Detach a GitHub issue from a conversation
curl --request DELETE \
--url https://api.getfernand.com/integrations/github/{conversation_id}/tickets/{ticket_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/integrations/github/{conversation_id}/tickets/{ticket_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/integrations/github/{conversation_id}/tickets/{ticket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/integrations/github/{conversation_id}/tickets/{ticket_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/integrations/github/{conversation_id}/tickets/{ticket_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/integrations/github/{conversation_id}/tickets/{ticket_id}")
.header("X-API-Key", "<api-key>")
.asString();{}Detach a GitHub issue from a conversation
DELETE
/
integrations
/
github
/
{conversation_id}
/
tickets
/
{ticket_id}
Detach a GitHub issue from a conversation
Removes the association between a GitHub issue and the specified conversation. This does not delete the issue on GitHub, only removes the link between the conversation and the issue. Returns an empty response on success.
Authorizations
Path Parameters
ID of the conversation to detach the issue from.
ID of the GitHub issue to detach.
Response
GitHub issue detached successfully.
The response is of type object.
Was this page helpful?
⌘I